%define        libname  lib%{name}

Name:          graphviz
Version:       2.42.2
Release:       1mamba
Summary:       Graph Visualization Tools
Group:         Applications/Graphics
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.graphviz.org/
Source:        https://gitlab.com/graphviz/graphviz.git/%{version}/graphviz-%{version}.tar.bz2
#Source:        http://www.graphviz.org/pub/graphviz/stable/SOURCES/graphviz-%{version}.tar.gz
Patch0:        graphviz-2.30.1-php-5.4.11.patch
Patch1:        graphviz-2.30.1-lua-5.2.patch
Patch2:        graphviz-2.30.1-gvc.pc-no-libgraph.patch
Patch3:        graphviz-2.30.1-guile-2.patch
Patch4:        graphviz-2.30.1-ruby-2.patch
Patch5:        graphviz-2.38.0-ghostscript-9.19.patch
Patch6:        graphviz-2.38.0-lua-5.3.patch
License:       Common Public Attribution License 1.0
## AUTOBUILDREQ-BEGIN
BuildRequires: ghostscript-devel
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libR-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXaw-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXmu-devel
BuildRequires: libXpm-devel
BuildRequires: libXrender-devel
BuildRequires: libXt-devel
BuildRequires: libatk-devel
BuildRequires: libbsd-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libcares-devel
BuildRequires: libcroco-devel
BuildRequires: libcurl-devel
%if "%{stage1}" != "1"
BuildRequires: libdevil-devel
%endif
BuildRequires: libexpat-devel
BuildRequires: libffi-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgc-devel
BuildRequires: libgcc
BuildRequires: libgd-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgmp-devel
BuildRequires: libgomp-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgss-devel
BuildRequires: libgtk2-devel
BuildRequires: libgts-devel
BuildRequires: libguile-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libidn-devel
BuildRequires: libilmbase-devel
BuildRequires: libjasper-devel
BuildRequires: libjbig-devel
BuildRequires: libjpeg-devel
BuildRequires: liblcms-devel
BuildRequires: liblcms2-devel
BuildRequires: libltdl-devel
BuildRequires: liblua-devel
BuildRequires: liblzma-devel
BuildRequires: libmng-devel
BuildRequires: libopenexr-devel
BuildRequires: libopenjpeg1-devel
BuildRequires: libopenldap-devel
BuildRequires: libopenssl-devel
BuildRequires: libpango-devel
BuildRequires: libpcre-devel
BuildRequires: libperl
BuildRequires: libpng-devel
BuildRequires: libpng12-devel
BuildRequires: libpoppler-devel
BuildRequires: libpoppler-glib-devel
BuildRequires: libpython-devel
BuildRequires: libpython27-devel
BuildRequires: libqt4-devel
BuildRequires: libreadline-devel
BuildRequires: librsvg-devel
BuildRequires: librtmp-devel
BuildRequires: libsasl2-devel
BuildRequires: libselinux-devel
BuildRequires: libssh2-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtermcap-devel
BuildRequires: libthai-devel
BuildRequires: libtiff-devel
BuildRequires: libtk-devel
BuildRequires: libunistring-devel
BuildRequires: libuuid-devel
BuildRequires: libvpx-devel
BuildRequires: libxcb-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
BuildRequires: perl-devel
BuildRequires: ruby-devel
## AUTOBUILDREQ-END
BuildRequires: libunistring-devel >= 0.9.6-1mamba
BuildRequires: pkgconfig
BuildRequires: ocaml
BuildRequires: lua
%ifarch %{ix86}
BuildRequires: libming-devel
%endif
%if "%{stage1}" != "1"
BuildRequires: php-devel
BuildRequires: swig
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

# WARNING :
# checking for gdlib-config... /usr/bin/gdlib-config
# configure: WARNING: GD library version < 2.0.34
# configure: WARNING: Using internal libgd source.

%description
A collection of tools and tcl packages for the manipulation and layout of graphs (as in nodes and edges, not as in barcharts).

%package graphs
Group:          Applications/Graphics
Summary:        Demo graphs for %{name}
Requires:       %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description graphs
This package provides some example graphs for %{name}.

%package -n %{libname}-guile
Group:          System/Libraries
Summary:        Guile extension for %{name}
Requires:       %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{libname}-guile
This package provides Guile extension for %{name}.

%package -n %{libname}
Group:          Development/Libraries
Summary:        Shared libraries for %{name}

%description -n %{libname}
This package provides shared library for %{name}.

%package -n %{libname}-devel
Group:          Development/Libraries
Summary:        Static libraries and headers for %{name}
Obsoletes:      %{name}-devel
Provides:       %{name}-devel = %{?epoch:%epoch:}%{version}-%{release}
Requires:       %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:       %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{libname}-devel
This package contains the files needed for developing programs using %{name} libraries.

%package -n perl-%{name}
Group:          System/Libraries
Summary:        Perl extension for %{name}
Requires:       %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description -n perl-%{name}
This package provides perl extension for %{name}.

%package -n python-%{name}
Group:          System/Libraries
Summary:        Python extension for %{name}
Requires:       %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description -n python-%{name}
This package provides Python extension for %{name}.

%package -n %{libname}-java
Group:          System/Libraries
Summary:        Java extension for %{name}
Requires:       %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{libname}-java
This package provides java extension for %{name}.

%package -n %{libname}-go
Group:          System/Libraries
Summary:        Go language extension for %{name}
Requires:       %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{libname}-go
This package provides Go language extension for %{name}.

%package -n %{libname}-R
Group:          System/Libraries
Summary:        R language extension for %{name}
Requires:       %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{libname}-R
This package provides R language extension for %{name}.

%package -n %{libname}-sharp
Group:          System/Libraries
Summary:        C# extension for %{name}
Requires:       %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{libname}-sharp
This package provides C# extension for %{name}.

%package -n %{libname}-php
Group:          System/Libraries
Summary:        PHP extension for %{name}
Requires:       %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{libname}-php
This package provides PHP extension for %{name}.

%package -n %{libname}-ruby
Group:          System/Libraries
Summary:        Ruby extension for %{name}
Requires:       %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{libname}-ruby
This package provides Ruby extension for %{name}.

%package -n %{libname}-tcl
Group:          System/Libraries
Summary:        Tcl extension for %{name}
Obsoletes:      %{name}-tcl
Provides:       %{name}-tcl = %{?epoch:%epoch:}%{version}-%{release}
Requires:       %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{libname}-tcl
This package provides tcl extension for %{name}.

%package -n %{libname}-tcl-devel
Group:          Development/Libraries
Summary:        Static libraries and headers for %{libname}-tcl
Requires:       %{libname}-tcl = %{?epoch:%epoch:}%{version}-%{release}
Requires:       %{libname}-devel = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{libname}-tcl-devel
Static libraries and headers for %{libname}-tcl.

%package doc
Group:          Documentation
Summary:        Documentation for version %{version} of %{name}
Requires:       %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description doc
This package contains the documentation of %{name} in HTML and pdf formats.

%debug_package

%prep
%setup -q
#-D -T
#:<< _EOF
#%patch0 -p1
#%patch4 -p1
%patch5 -p1
%patch6 -p1

./autogen.sh

%build
%configure \
   --with-x \
   --enable-lua \
   --enable-ruby \
   --disable-php \
   LDFLAGS="-ltermcap" \
   PYTHON=%{__python}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%posttrans
dot -c
exit 0

%post   -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%post   -n %{libname}-tcl -p /sbin/ldconfig
%postun -n %{libname}-tcl -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/%{name}/*
%exclude %{_datadir}/%{name}/demo
%exclude %{_datadir}/%{name}/graphs
%exclude %{_datadir}/%{name}/doc/html
%exclude %{_datadir}/%{name}/doc/pdf
%{_mandir}/man1/*
%{_mandir}/man7/graphviz.7*

%files -n %{libname}
%defattr(-,root,root)
%dir %{_libdir}/%{name}
#%{_libdir}/libagraph.so.*
%{_libdir}/libcdt.so.*
%{_libdir}/libcgraph.so.*
#%{_libdir}/libgraph.so.*
%{_libdir}/libgvc.so.*
%{_libdir}/libgvpr.so.*
%{_libdir}/libxdot.so.*
#%{_libdir}/libgvc_builtins.so.*
%{_libdir}/liblab_gamut.so.*
%{_libdir}/libpathplan.so.*
%{_libdir}/lua/gv.so
%{_libdir}/graphviz/libgvplugin_*.so.*
%dir %{_libdir}/graphviz/lua
%{_libdir}/graphviz/lua/gv.so
%{_libdir}/graphviz/lua/libgv_lua.la
%{_libdir}/graphviz/lua/libgv_lua.so
%dir %{_libdir}/graphviz/ocaml
%{_libdir}/graphviz/ocaml/*

%files -n perl-%{name}
%defattr(-,root,root)
%{_libdir}/graphviz/perl/gv.so
%{_libdir}/graphviz/perl/gv.pm
%{_libdir}/graphviz/perl/libgv_perl.la
%{_libdir}/graphviz/perl/libgv_perl.so
%{perl_vendorarch}/gv.*

%files -n python-%{name}
%defattr(-,root,root)
%{_libdir}/graphviz/python/_gv.so
%{_libdir}/graphviz/python/gv.py
%{_libdir}/graphviz/python/libgv_python.la
%{_libdir}/graphviz/python/libgv_python.so
%{_libdir}/graphviz/python2/_gv.so
%{_libdir}/graphviz/python2/gv.py
%{_libdir}/graphviz/python2/libgv_python2.la
%{_libdir}/graphviz/python2/libgv_python2.so
%{_libdir}/graphviz/python3/_gv.so
%{_libdir}/graphviz/python3/gv.py
%{_libdir}/graphviz/python3/libgv_python3.la
%{_libdir}/graphviz/python3/libgv_python3.so
%{python_sitearch}/*
%{python3_sitearch}/*

%ifnarch arm
%files  -n %{libname}-go
%defattr(-,root,root)
%{_libdir}/graphviz/go/gv.go
%{_libdir}/graphviz/go/libgv_go.la
%{_libdir}/graphviz/go/libgv_go.so
%{_libdir}/graphviz/go/runtime.h
%endif

%files -n %{libname}-R
%defattr(-,root,root)
%dir %{_libdir}/graphviz/R
%{_libdir}/graphviz/R/gv.so
%{_libdir}/graphviz/R/libgv_R.la
%{_libdir}/graphviz/R/libgv_R.so

%files -n %{libname}-guile
%defattr(-,root,root)
%dir %{_libdir}/graphviz/guile
%{_libdir}/graphviz/guile/libgv_guile.la
%{_libdir}/graphviz/guile/libgv_guile.so

#%files -n %{libname}-ruby
#%defattr(-,root,root)
#%dir %{_libdir}/graphviz/ruby
#%{_libdir}/graphviz/ruby/gv.so
#%{_libdir}/graphviz/ruby/libgv_ruby.la
#%{_libdir}/graphviz/ruby/libgv_ruby.so
#%{_libdir}/ruby/vendor_ruby/*/*-linux*/gv.so

#% if "%{stage1}" != "1"
#%files -n %{libname}-php
#%defattr(-,root,root)
#%{_libdir}/graphviz/php/gv.php
#%{_libdir}/graphviz/php/gv.so
#%{_libdir}/php/modules/gv.so
#%{_datadir}/php/gv.php
#%{_libdir}/graphviz/php/libgv_php.la
#%{_libdir}/graphviz/php/libgv_php.so

%if "%{stage1}" != "1"
%files -n %{libname}-sharp
%defattr(-,root,root)
%{_libdir}/graphviz/sharp/SWIGTYPE_p_*.cs
%{_libdir}/graphviz/sharp/gv.cs
%{_libdir}/graphviz/sharp/gvPINVOKE.cs
%{_libdir}/graphviz/sharp/libgv_sharp.la
%{_libdir}/graphviz/sharp/libgv_sharp.so

%files -n %{libname}-java
%defattr(-,root,root)
%dir %{_libdir}/graphviz/java/org/graphviz
%{_libdir}/graphviz/java/org/graphviz/*
%{_libdir}/graphviz/java/libgv.so
%endif

%files -n %{libname}-devel
%defattr(-,root,root)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/libcdt.la
%{_libdir}/libcdt.so
%{_libdir}/libcgraph.la
%{_libdir}/libcgraph.so
%{_libdir}/libgvc.la
%{_libdir}/libgvc.so
%{_libdir}/libgvpr.la
%{_libdir}/libgvpr.so
%{_libdir}/libxdot.la
%{_libdir}/libxdot.so
%{_libdir}/libpathplan.la
%{_libdir}/libpathplan.so
%{_libdir}/liblab_gamut.la
%{_libdir}/liblab_gamut.so
%{_libdir}/graphviz/libgvplugin_*.la
%{_libdir}/graphviz/libgvplugin_*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*

%files graphs
%defattr(-,root,root)
%dir %{_datadir}/%{name}/demo
%{_datadir}/%{name}/demo/*
%dir %{_datadir}/%{name}/graphs
%{_datadir}/%{name}/graphs/*

# FIXME: x86_64
%ifarch %{ix86} arm
%files -n %{libname}-tcl
%defattr(-,root,root)
%dir %{_libdir}/%{name}/tcl
%{_libdir}/%{name}/tcl/libgdtclft.so.*
%{_libdir}/%{name}/tcl/libtcldot.so.*
%{_libdir}/%{name}/tcl/libtcldot_builtin.so.*
%{_libdir}/%{name}/tcl/libtclplan.so.*
%{_libdir}/liblab_gamut.so.*
#%{_libdir}/%{name}/tcl/libtkspline.so.*
%{_libdir}/%{name}/tcl/libgv_tcl.la
%{_libdir}/%{name}/tcl/libgv_tcl.so
%{_libdir}/%{name}/tcl/pkgIndex.tcl
# symlink
%{_libdir}/tcl*/graphviz

%files -n %{libname}-tcl-devel
%defattr(-,root,root)
%{_libdir}/%{name}/tcl/libgdtclft.la
%{_libdir}/%{name}/tcl/libgdtclft.so
%{_libdir}/%{name}/tcl/libtcldot.la
%{_libdir}/%{name}/tcl/libtcldot.so
%{_libdir}/%{name}/tcl/libtcldot_builtin.la
%{_libdir}/%{name}/tcl/libtcldot_builtin.so
%{_libdir}/%{name}/tcl/libtclplan.la
%{_libdir}/%{name}/tcl/libtclplan.so
%{_libdir}/liblab_gamut.la
%{_libdir}/liblab_gamut.so
#%{_libdir}/%{name}/tcl/libtkspline.la
#%{_libdir}/%{name}/tcl/libtkspline.so
%endif

%files doc
%defattr(-,root,root)
%dir %{_datadir}/%{name}/doc/
%dir %{_datadir}/%{name}/doc/html
%{_datadir}/%{name}/doc/html/*
%dir %{_datadir}/%{name}/doc/pdf
%{_datadir}/%{name}/doc/pdf/*

%changelog
* Sat Oct 26 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.42.2-1mamba
- update to 2.42.2

* Sat Dec 31 2016 Automatic Build System <autodist@mambasoft.it> 2.40.1-1mamba
- automatic version update by autodist

* Sun May 15 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.38.0-2mamba
- rebuilt by autoport with build requirements: libunistring-devel>=0.9.6-1mamba

* Mon Aug 18 2014 Automatic Build System <autodist@mambasoft.it> 2.38.0-1mamba
- automatic version update by autodist

* Mon Mar 31 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.36.0-3mamba
- rebuilt with openexr 2.1.0

* Mon Mar 03 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.36.0-2mamba
- rebuilt with libpoppler 0.24.5

* Tue Feb 04 2014 Automatic Build System <autodist@mambasoft.it> 2.36.0-1mamba
- automatic version update by autodist

* Sun Sep 08 2013 Automatic Build System <autodist@mambasoft.it> 2.34.0-1mamba
- automatic update by autodist

* Tue Aug 27 2013 Automatic Build System <autodist@mambasoft.it> 2.32.0-1mamba
- automatic update by autodist

* Thu Jul 25 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.30.1-4mamba
- libgraphviz-tcl: fix %{_libdir}/tcl*/graphviz problem due to tcl8.6/graphviz being a symlink to tcl/graphviz

* Thu Jul 18 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.30.1-3mamba
- patched to fix libgvc.pc and for build with recent ruby and guile
- added libgts requirement

* Wed Feb 27 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.30.1-2mamba
- added libgraphviz-R subpackage

* Wed Feb 27 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.30.1-1mamba
- update to 2.30.1

* Tue Aug 09 2011 Automatic Build System <autodist@mambasoft.it> 2.28.0-1mamba
- automatic version update by autodist

* Sat Feb 19 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.3-6mamba
- rebuilt with ghostscript 9.01

* Fri Nov 12 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.3-5mamba
- rebuilt with libpng 1.4 (after libdevil fix)

* Thu Nov 11 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.3-4mamba
- rebuilt with libpng 1.4

* Thu Oct 28 2010 Automatic Build System <autodist@mambasoft.it> 2.26.3-3mamba
- automatic rebuild by autodist

* Wed Jun 30 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.3-2mamba
- rebuilt

* Sat Apr 17 2010 Automatic Build System <autodist@mambasoft.it> 2.26.3-1mamba
- automatic update by autodist

* Mon Jan 18 2010 Automatic Build System <autodist@mambasoft.it> 2.26.0-1mamba
- automatic update by autodist

* Wed Jun 24 2009 Automatic Build System <autodist@mambasoft.it> 2.24.0-1mamba
- automatic update by autodist

* Tue May 19 2009 Automatic Build System <autodist@mambasoft.it> 2.22.2-2mamba
- automatic rebuild by autodist

* Mon May 18 2009 Automatic Build System <autodist@mambasoft.it> 2.22.2-1mamba
- automatic update by autodist

* Mon Mar 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.20.3-1mamba
- automatic update by autodist

* Wed Nov 19 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.18-1mamba
- automatic update by autodist

* Mon Dec 03 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.16-3mamba
- execute dot -c in %post script to create plugin configuration

* Mon Dec 03 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.16-2mamba
- rebuild with libdevil and libming 0.4

* Mon Dec 03 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.16-1mamba
- update to 2.16

* Mon Jun 19 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 2.6-2qilnx
- added ruby binding

* Thu Oct 27 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.6-1qilnx
- update to version 2.6 by autospec
- dotneato-config, demo files moved to graphs package
- new package %{libname}

* Mon Sep 20 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.14-1qilnx
- update to version 1.14
- added the 'doc' package

* Fri Feb 27 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.11-1qilnx
- first build
